Subject: Solaris8 Driver installed but fails to attach

From: paul <[email-masked]>
Date: Sun, 26 Nov 2000 23:06:14 -0600 (CST)

My system - Ultra 1, Solaris 8, 32 bit kernel

Trying to install netatalk-1.4b2+asun2.1.4.

While running make kinstall, I get:

Warning - Driver successfully added to system but failed to attach.

On reboot, I get socket: protocol not supported, and other errors.

I've read the docs, and the mailing list archives, with no luck.  I've made all 
the solaris alterations as noted in the README files.  From what I've read, 
maybe this has something to do with the 32 bit kernel?  If anyone has any ideas, 
I would be most grateful.

Thanks - Paul Phillips

Here is the contents of the top lines of my /sys/solaris/Makefile...

# Solaris specific defines, passed to subdirectories.
# To use Sun CC, uncomment the CC and KFLAGS variables.

# uncomment for 64-bit sparc kernel
#SPARC64=true

# solaris has -lcrypt, but we shouldn't use it. this may only be true 
# for solaris 2.5.1
#USE_CRYPTLIB=no

# use gcc (gcc-2.95 on 64-bit sparc)
#CC=		gcc
#KCFLAGS=	-D_KERNEL -Wall -Wstrict-prototypes ${KGCCFLAGS} # 
-mcpu=ultrasparc
#OPTOPTS=	-O
#CSHAREDFLAGS=   -fPIC
#LDSHARED=	gcc
#LDSHAREDFLAGS=  -shared

# use Sun CC (for a 64-bit kernel, uncomment " -xarch=v9 -xregs=no%appl ") 
CC=		cc
#KCFLAGS=	-D_KERNEL  -xarch=v9 -xregs=no%appl 
OPTOPTS=	-fast -xO5 -xstrconst
CSHAREDFLAGS=   -KPIC
LDSHARED=       cc
LDSHAREDFLAGS=  -G
LDFLAGS_EXPORT=

LIBSHARED=      -ldl